Name:           yadex
Version:        1.7.0
Release:        12%{?dist}
Summary:        Doom level editor

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://www.teaser.fr/~amajorel/yadex
Source0:        http://www.teaser.fr/~amajorel/yadex/yadex-1.7.0.tar.gz
Source1:        yadex.desktop
Source2:        yadex.png
Patch0:         http://glbsp.sourceforge.net/yadex/Yadex_170_ALL.diff
Patch1:         http://glbsp.sourceforge.net/yadex/Yadex_170_Hexen.diff
Patch2:         yadex-1.7.0-64bit.patch
Patch3:         yadex-1.7.0-destdir.patch
Patch4:         yadex-1.7.0-datadir.patch
Patch5:         yadex-1.7.0-gcc41.patch
Patch6:         yadex-1.7.0.bareelif.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  libX11-devel
# Yadex needs an iwad to run.  freedoom provides a free iwad that we can use.
Requires:       freedoom

%description
Yadex is a Doom level (wad) editor for Unix systems running X, including Linux.
It supports Doom alpha, Doom beta, Doom, Ultimate Doom, Final Doom, Doom II,
Heretic and also, in a more or less limited way, Hexen and Strife.

Yadex is descended from DEU 5.21. Therefore, as you might expect, it's a rather
low-level editor that requires you to take care of a lot of detail but on the
flip side allows you to control very precisely what you are doing. In addition,
it has many advanced functions that DEU didn't have, to make certain
tedious tasks easy.


%prep
%setup -q
%patch0 -p1
# Omitted. Patch fails to apply. Used for Hexen maps only. Needs investigation.
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1


%build
# Don't use %%configure because this is not an autotools-generated
# configure script and will choke on some of the default configure switches.
./configure --prefix=%{_prefix}
make CXXFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove the duplicate man pages
rm -f $RPM_BUILD_ROOT%{_mandir}/man6/%{name}*
iconv --from=ISO-8859-1 --to=UTF-8 docsrc/%{name}.6 > docsrc/%{name}.6.new
install -p -m644 docsrc/%{name}.6.new $RPM_BUILD_ROOT/%{_mandir}/man6/

# .desktop file integration
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}-%{version}
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/%{version}
%config(noreplace) %{_sysconfdir}/%{name}/%{version}/%{name}.cfg
%{_datadir}/%{name}
%{_mandir}/man6/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/yadex.png
%doc COPYING COPYING.LIB doc/*.html docsrc/*.png


%changelog
* Sat Feb 28 2009 Caolán McNamara - 1.7.0-12
- fix bare #elif

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 8 2008 Wart <wart at kobold.org> 1.7.0-10
- Rebuild for gcc 4.3

* Fri Sep 7 2007 Wart <wart at kobold.org> 1.7.0-9
- No longer BuildRequires: gawk due to buildroot changes

* Tue Aug 21 2007 Wart <wart at kobold.org> 1.7.0-8
- License tag clarification
- Add BuildRequires: gawk due to changes in the buildroot

* Sat Aug 11 2007 Wart <wart at kobold.org> 1.7.0-7
- Clean up .desktop file version and categories

* Tue Oct 17 2006 Wart <wart at kobold.org> 1.7.0-6
- Own an extra directory

* Sun Aug 27 2006 Wart <wart at kobold.org> 1.7.0-5
- Rebuild for FC-6

* Mon Apr 10 2006 Wart <wart at kobold.org> 1.7.0-4
- Update for modular x.org

* Fri Mar 17 2006 Wart <wart at kobold.org> 1.7.0-3
- Added patch for gcc 4.1

* Thu Mar 16 2006 Wart <wart at kobold.org> 1.7.0-2
- Added .desktop file

* Thu Mar 16 2006 Wart <wart at kobold.org> 1.7.0-1
- Initial submission to Fedora Extras
